Subject: Re: [PATCH 2.6.18] defxx: Big-endian hosts support

From: Christoph Hellwig <[email-masked]>
Date: Mon, 23 Oct 2006 15:48:44 +0100

On Mon, Oct 23, 2006 at 01:53:17PM +0100, Maciej W. Rozycki wrote:
> +	data = cpu_to_le32(data);

This is rather ugly and not provable by static typechecking.  Please
always use spearate variables/structs for device and host endian values,
and run the resulting driver through sparse to make sure everything is
correct.